Package org.eclipse.mat.ui.util

# Interface IPolicy

All Known Implementing Classes:
  `Policy`

public interface IPolicy
This lets the query browser find out which queries will work with the selected arguments then fills in the appropriate arguments for the selected query

No Implement:

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(QueryDescriptor query)`
`void`
`fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)`

## Method Details

### accept

boolean accept(QueryDescriptor query)

### fillInObjectArguments

void fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)